/* ==== Blog ==== */
.body {overflow-x: hidden;}
.justify-center{justify-content: center}
.sm-mw-60{max-width: 60%}
.b-post {
    display: flex;
    flex-direction: column;
    gap: 15px;
    position: relative;
    margin-bottom: 50px !important;
}

.b-post__thumbnail-wrapper img {
    max-width: 900px !important;
    width: 100% !important;
    height: 430px !important;
    object-fit: cover;
}

.b-post__details {
    width: 100%;
    line-height: 21px;
    margin-bottom: 30px;
}

.b-post__details p {
    color: #6e6f69;
    font-weight: 300;
    font-size: 14px;
    margin-bottom: 50px;
}

.b-post__read-more {
    background-color: black;
    border: 1px solid lightgray;
    padding: 11px 10px;
    color: #fff;
    font-size: 15px;
    font-weight: 800 !important;
    transition: 0.3s ease-in;
}

.b-post__read-more:hover {
    transition: 0.3s ease-in;
    color: black;
    background-color: white;
    border: 1px solid lightgray;
}

.b-post__title {
    font-size: 30px !important;
    font-weight: 500;
    margin-bottom: 0;
    line-height: 40px;
}

.b-post__meta {
    display: flex;
    margin: 0;
    opacity: 0.75;
}

.b-post__meta span:after {
    content: '';
    display: inline-block;
    width: 4px;
    height: 4px;
    border-radius: 4px;
    vertical-align: middle;
    background-color: #313232;
    margin: 0 5px;
    margin-top: -0.2em;
}

.b-post__meta span,
.b-post__meta span a {
    color: #313232 !important;
    font-size: 13px;
}

.content-secondary {
    width: 300px;
    padding: 0 !important;
}

.s-widget__title {
    font-size: 26px;
    font-weight: 500;
    /* margin: 0px 0px !important; */
}

.s-widget__body {
    margin: 50px 0 !important;

}

.s-widget__body ul {
    padding: 0 !important;
    line-height: 35px;
    margin: 0 !important;
    list-style: none inside none;

}

.s-widget__body .list__item {
    position: relative;
}

.s-widget__body li::after {
    content: " ";
    width: 100% !important;
    height: 0.7px;
    position: absolute;
    top: 35px;
    left: 0;
    transition: all 0.5s ease;
    background: linear-gradient(to left, #5d5c61 50%, #f4e6df 50%) right;
    background-size: 200%;
}

.s-widget__body li:hover::after {
    background-position: left;

}

.s-widget__body li:hover a {
    color: #557a95;
}


.content-wrapper {
    --wrapper-gap: 30px;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    gap: var(--wrapper-gap);
}

.content-wrapper_reverse {
    flex-direction: row-reverse;
}

.content-primary {
    width: calc(100% - 300px - var(--wrapper-gap));
}

/* ==== End Blog ==== */

/* Blog Page */

/* Search bar */

.blog-search {
    display: flex;
    border: 1px solid lightgray;
    margin-bottom: 0;
}

.blog-search .form-control {
    background: transparent;
}

.blog-search input {
    width: 100%;
    /* padding: 7px 4px; */
    border: none;
    font-size: 13px;
    margin: 0;
}

.blog-search img {
    width: 13px;
    cursor: pointer;
}

.blog-search .blog-submit {
    border: none;
    background: transparent url('img/magnifying-glass-solid.svg');
    width: 15%;
    color: inherit;
    display: inline-block;
    padding: 10px 5px;
}


/* Postari recente */
.heading-sidebar {
    text-align: left;
    margin-top: unset !important;
    font-weight: 500;
}

.blog-post__sidebar-image-wrapper img {
    width: 100px !important;
    height: 90px !important;
    margin-right: 20px;
    object-fit: cover;
}

.wp-block-image:not(.is-style-rounded) img {
    padding: 0 10px;
}

.blog-sidebar {
    display: flex;
    flex-direction: column;
}

.blog-post-sidebar {
    display: flex;
    justify-content: space-between;
    margin-bottom: 30px;
}

.blog-post-sidebar__permalink {
    font-weight: 500;
    font-size: 13px;
}

.blog-post-sidebar__date {
    font-size: 12px;
    opacity: 0.95;
    color: #6e6f69;
    margin-top: 15px;
}

/* ==== Responsive ====  */

@media screen and (max-width: 1200px) {

    .content-wrapper {
        max-width: 1000px !important;
        width: 100%;
        margin: 0 auto;
    }

    .b-post__thumbnail-wrapper img {
        max-width: 770px !important;
        height: 430px !important;
    }

    .content {
        max-width: 1000px !important;
        width: 100%;
        margin: 0 auto;
    }
}

@media screen and (max-width: 992px) {

    .content-wrapper {
        max-width: 900px !important;
    }
}

@media screen and (max-width: 768px) {

    .content-wrapper {
        max-width: 550px !important;
    }

    .content-primary {
        width: 100%;
        margin: 0 auto;
    }

    .b-post__thumbnail-wrapper img {
        max-width: 670px !important;
        height: 330px !important;
    }

    .content-secondary {
        display: none;
    }

    .page-title a {
        font-size: 25px;
    }
}

@media screen and (max-width: 576px) {

    .content-wrapper {
        max-width: 430px !important;
    }

    .b-post__thumbnail-wrapper img {
        max-width: 470px !important;
        height: 230px !important;
    }

    .b-post__title {
        font-size: 25px !important;
        line-height: normal;
    }


    .content {
        font-size: 14px;
    }

    .page-title a {
        font-size: 23px;
        padding: 0 20px !important;
    }


}

@media screen and (max-width: 480px) {

    .page-title h1 {
        font: 700 30px/30px var(--basker);
    }

    .content-wrapper {
        max-width: 350px !important;
    }

    .b-post__title {
        font-size: 20px !important;
        line-height: normal;
    }

    .b-post__details {
        line-height: normal;
    }

    .b-post__meta span,
    .b-post__meta span a {
        font-size: 9px;
    }

    .b-post__read-more {
        padding: 9px 9px;
        font-size: 13px;
    }

    .b-post__details {
        margin-bottom: 10px;
    }

    .b-post__title {
        font-size: 25px !important;
        line-height: normal;
    }

    .page-title a {
        font-size: 19px;
    }

}

